org.codehaus.plexus.component.repository.exception

## Class ComponentLookupException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.component.repository.exception.ComponentLookupException

All Implemented Interfaces:
  Serializable

    public class ComponentLookupException
    extends Exception

The exception which is thrown by a component repository when the requested component cannot be found.

Version:
  $Id: ComponentLookupException.java 1323 2004-12-20 23:00:59Z jvanzyl $
Author:
  Jason van Zyl
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComponentLookupException(String message)`
`ComponentLookupException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ComponentLookupException

    public ComponentLookupException(String message)

#### ComponentLookupException

    public ComponentLookupException(String message,
                            Throwable cause)